I need Bluetooth help

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
Glockdoc
Level 3
Level 3
Posts: 106
Joined: Tue May 09, 2017 5:42 am

I need Bluetooth help

Post by Glockdoc »

Howdy!

Bluetooth has me aggravated to no end with 19.1. Prior to the 19.1 upgrade I had no bt issues. After the upgrade I totally lost bt( another post solved ).

My current problem is I cannot see my Sherman BT speakers. I have tried all the current fixes I can find. None have worked thus far. I installed MX to play around with and had no problem connecting to my speakers on the 1st try.....this leads me to believe it is not a hardware issue. Bluesman is just not seeing the speakers at all in 19.1.

Any suggestions? Let me know what you need to see from my system info and I will get it posted.

Thanks in advance, Glockdoc

Code: Select all

System:
  Host: glockdoc-Aspire-C22-860 Kernel: 4.15.0-51-generic x86_64 bits: 64 
  compiler: gcc v: 7.3.0 Desktop: Cinnamon 4.0.10 
  Distro: Linux Mint 19.1 Tessa base: Ubuntu 18.04 bionic 
Machine:
  Type: Desktop Mobo: Acer model: Aspire C22-860 serial: <root required> 
  UEFI [Legacy]: American Megatrends v: R01-A0 date: 05/17/2017 
CPU:
  Topology: Dual Core model: Intel Core i3-7100U bits: 64 type: MT MCP 
  arch: Kaby Lake rev: 9 L2 cache: 3072 KiB 
  flags: lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 19200 
  Speed: 800 MHz min/max: 400/2400 MHz Core speeds (MHz): 1: 800 2: 800 
  3: 802 4: 800 
Graphics:
  Device-1: Intel HD Graphics 620 vendor: Acer Incorporated ALI driver: i915 
  v: kernel bus ID: 00:02.0 
  Display: x11 server: X.Org 1.19.6 driver: modesetting unloaded: fbdev,vesa 
  resolution: 1920x1080~60Hz 
  OpenGL: renderer: Mesa DRI Intel HD Graphics 620 (Kaby Lake GT2) 
  v: 4.5 Mesa 18.2.8 direct render: Yes 
Audio:
  Device-1: Intel Sunrise Point-LP HD Audio vendor: Acer Incorporated ALI 
  driver: snd_hda_intel v: kernel bus ID: 00:1f.3 
  Sound Server: ALSA v: k4.15.0-51-generic 
Network:
  Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet 
  vendor: Acer Incorporated ALI driver: r8169 v: 2.3LK-NAPI port: e000 
  bus ID: 01:00.0 
  IF: enp1s0 state: up speed: 1000 Mbps duplex: full mac: ee:10:8e:8b:df:92 
  Device-2: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter 
  vendor: Lite-On driver: ath10k_pci v: kernel port: e000 bus ID: 02:00.0 
  IF: wlp2s0 state: down mac: 64:6e:69:c3:e2:ad 
  IF-ID-1: tun0 state: unknown speed: 10 Mbps duplex: full mac: N/A 
Drives:
  Local Storage: total: 1.02 TiB used: 134.56 GiB (12.9%) 
  ID-1: /dev/sda vendor: Toshiba model: MQ01ABD100 size: 931.51 GiB 
  ID-2: /dev/sdb type: USB vendor: Kingston model: DataTraveler 2.0 
  size: 115.13 GiB 
Partition:
  ID-1: / size: 223.36 GiB used: 25.21 GiB (11.3%) fs: ext4 dev: /dev/sda7 
Sensors:
  System Temperatures: cpu: 47.5 C mobo: 29.8 C 
  Fan Speeds (RPM): N/A 
Info:
  Processes: 215 Uptime: 4h 45m Memory: 3.77 GiB used: 1.93 GiB (51.3%) 
  Init: systemd runlevel: 5 Compilers: gcc: 7.4.0 Shell: bash v: 4.4.19 
  inxi: 3.0.27 
glockdoc@glockdoc-Aspire-C22-860:~$ 
[code]
User avatar
MrEen
Level 22
Level 22
Posts: 15253
Joined: Mon Jun 12, 2017 8:39 pm

Re: I need Bluetooth help

Post by MrEen »

Hi Glockdoc.

See if this helps. In the terminal enter apt install pulseaudio-module-bluetooth followed by pactl load-module module-bluetooth-discover then see if the speakers appear.
Glockdoc
Level 3
Level 3
Posts: 106
Joined: Tue May 09, 2017 5:42 am

Re: I need Bluetooth help

Post by Glockdoc »

We may have found the problem. I am not sure how to fix it though............

Code: Select all

glockdoc@glockdoc-Aspire-C22-860:~$ apt install pulseaudio-module-bluetooth
Reading package lists... Done
Building dependency tree       
Reading state information... Done
pulseaudio-module-bluetooth is already the newest version (1:11.1-1ubuntu7.2).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
glockdoc@glockdoc-Aspire-C22-860:~$ pactl load-module module-bluetooth-discover
Failure: Module initialization failed
glockdoc@glockdoc-Aspire-C22-860:~$ 


[code]
User avatar
MrEen
Level 22
Level 22
Posts: 15253
Joined: Mon Jun 12, 2017 8:39 pm

Re: I need Bluetooth help

Post by MrEen »

I doubt we found the problem. That probably just meant the module was already loaded.

Let's check what you have installed. What are the output from these commands: apt policy blueberry and apt policy blueman
Glockdoc
Level 3
Level 3
Posts: 106
Joined: Tue May 09, 2017 5:42 am

Re: I need Bluetooth help

Post by Glockdoc »

Bummer, I thought that might be it.
Thank you for your help.

Code: Select all

glockdoc@glockdoc-Aspire-C22-860:~$ apt policy blueberry
blueberry:
  Installed: (none)
  Candidate: 1.2.5
  Version table:
     1.2.5 500
        500 http://packages.linuxmint.com tessa/main amd64 Packages
        500 http://packages.linuxmint.com tessa/main i386 Packages
        100 /var/lib/dpkg/status
glockdoc@glockdoc-Aspire-C22-860:~$ apt policy blueman
blueman:
  Installed: 2.0.5-1ubuntu1
  Candidate: 2.0.5-1ubuntu1
  Version table:
 *** 2.0.5-1ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
        100 /var/lib/dpkg/status
glockdoc@glockdoc-Aspire-C22-860:~$ 


[code]
User avatar
MrEen
Level 22
Level 22
Posts: 15253
Joined: Mon Jun 12, 2017 8:39 pm

Re: I need Bluetooth help

Post by MrEen »

And we have another bummer. I had hoped you hadn't uninstalled blueberry and it was causing a conflict.

Let's see if the output from this points us in a better direction:

Code: Select all

lsusb; dmesg | egrep -i `blue|firm`
Glockdoc
Level 3
Level 3
Posts: 106
Joined: Tue May 09, 2017 5:42 am

Re: I need Bluetooth help

Post by Glockdoc »

Code: Select all

glockdoc@glockdoc-Aspire-C22-860:~$ lsusb; dmesg | egrep -i `blue|firm`
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 005: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller
Bus 001 Device 004: ID 04ca:3015 Lite-On Technology Corp. 
Bus 001 Device 003: ID 04ca:006d Lite-On Technology Corp. 
Bus 001 Device 002: ID 0951:1665 Kingston Technology Digital DataTraveler SE9 64GB
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Command 'blue' not found, did you mean:

  command 'glue' from deb glueviz

Try: sudo apt install <deb name>


Command 'firm' not found, did you mean:

  command 'fsrm' from deb python-fs
  command 'form' from deb form
  command 'fim' from deb fim
  command 'ferm' from deb ferm
  command 'frm' from deb mailutils

Try: sudo apt install <deb name>

Usage: grep [OPTION]... PATTERN [FILE]...
Try 'grep --help' for more information.
glockdoc@glockdoc-Aspire-C22-860:~$ 
[code]
User avatar
MrEen
Level 22
Level 22
Posts: 15253
Joined: Mon Jun 12, 2017 8:39 pm

Re: I need Bluetooth help

Post by MrEen »

Well crap. I copied that right from one of JeremyB's posts. We may need to wait for someone else to help.

I got this one to work, hopefully it's the output that people like JeremyB are looking for: dmesg | egrep -i "blue|firm"
JeremyB
Level 20
Level 20
Posts: 11786
Joined: Fri Feb 21, 2014 8:17 am

Re: I need Bluetooth help

Post by JeremyB »

MrEen wrote:
Wed Jun 26, 2019 2:25 pm
Well crap. I copied that right from one of JeremyB's posts. We may need to wait for someone else to help.

I got this one to work, hopefully it's the output that people like JeremyB are looking for: dmesg | egrep -i "blue|firm"
For some reason I think this is the bluetooth Bus 001 Device 004: ID 04ca:3015 Lite-On Technology Corp.
It is listed in the source code of btusb

What was the last Mint version that worked?
Glockdoc
Level 3
Level 3
Posts: 106
Joined: Tue May 09, 2017 5:42 am

Re: I need Bluetooth help

Post by Glockdoc »

Here is the output from the last command Mr.EEn suggested;

Code: Select all


glockdoc@glockdoc-Aspire-C22-860:~$ dmesg |egrep -i "blue|firm"
[    0.028000] Spectre V2 : Enabling Restricted Speculation for firmware calls
[    0.060483] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[    1.572586] [drm] Finished loading DMC firmware i915/kbl_dmc_ver1_01.bin (v1.1)
[   21.640554] Bluetooth: Core ver 2.22
[   21.640567] Bluetooth: HCI device and connection manager initialized
[   21.640570] Bluetooth: HCI socket layer initialized
[   21.640572] Bluetooth: L2CAP socket layer initialized
[   21.640576] Bluetooth: SCO socket layer initialized
[   21.906832] ath10k_pci 0000:02:00.0: Direct firmware load for ath10k/pre-cal-pci-0000:02:00.0.bin failed with error -2
[   21.906843] ath10k_pci 0000:02:00.0: Direct firmware load for ath10k/cal-pci-0000:02:00.0.bin failed with error -2
[   21.930378] ath10k_pci 0000:02:00.0: firmware ver WLAN.TF.2.1-00021-QCARMSWP-1 api 6 features wowlan,ignore-otp crc32 42e41877
[   27.541176] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   27.541177] Bluetooth: BNEP filters: protocol multicast
[   27.541181] Bluetooth: BNEP socket layer initialized
[   54.849292] Bluetooth: RFCOMM TTY layer initialized
[   54.849296] Bluetooth: RFCOMM socket layer initialized
[   54.849302] Bluetooth: RFCOMM ver 1.11
glockdoc@glockdoc-Aspire-C22-860:~$ 

[code]

Jeremy, it was working fine last fall on 19. I came back home from the US in April, upgraded to 19.1 and  it has not worked since. I works with MX and with Mint 18.3, which should eliminate the problem being a hardware issue. 

I finally got bt working (see my other posts), but it only discovers a few devices. My speakers it will not. I could find the TV the speakers were next to before, but not now.  It finds my cellphones just fine.
Post Reply

Return to “Software & Applications”